## hyprwayland-scanner 0.3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

set(VERSION 0.3.10)

project(hyprwayland-scanner
    DESCRIPTION "A hyprland version of wayland-scanner in and for C++"
    VERSION ${VERSION}
)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(PREFIX ${CMAKE_INSTALL_PREFIX})

set(CMAKE_MESSAGE_LOG_LEVEL "STATUS")

if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
    message(STATUS "Configuring hyprwayland-scanner in Debug with CMake")
    add_compile_definitions(HYPRLAND_DEBUG)
else()
    add_compile_options(-O3)
    message(STATUS "Configuring hyprwayland-scanner in Release with CMake")
endif()


# configure
set(CMAKE_CXX_STANDARD 23)
add_compile_options(-Wall -Wextra -Wno-unused-parameter -Wno-unused-value
	-Wno-missing-field-initializers -Wno-narrowing)

add_compile_definitions(SCANNER_VERSION="${VERSION}")

configure_file(hyprwayland-scanner.pc.in hyprwayland-scanner.pc @ONLY)

# dependencies
message(STATUS "Checking deps...")

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET pugixml)

file(GLOB_RECURSE SRCFILES CONFIGURE_DEPENDS "src/*.cpp")
add_executable(hyprwayland-scanner ${SRCFILES})
target_link_libraries(hyprwayland-scanner PRIVATE rt Threads::Threads PkgConfig::deps)

configure_package_config_file(
    hyprwayland-scanner-config.cmake.in
    hyprwayland-scanner-config.cmake
    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/hyprwayland-scanner"
    PATH_VARS CMAKE_INSTALL_BINDIR
)
write_basic_package_version_file(
    "hyprwayland-scanner-config-version.cmake"
    VERSION "${VERSION}"
    COMPATIBILITY AnyNewerVersion
)

# Installation
install(TARGETS hyprwayland-scanner)
install(FILES ${CMAKE_BINARY_DIR}/hyprwayland-scanner.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES
    ${CMAKE_BINARY_DIR}/hyprwayland-scanner-config.cmake
    ${CMAKE_BINARY_DIR}/hyprwayland-scanner-config-version.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/hyprwayland-scanner
)

=== debian/changelog ===
hyprwayland-scanner (0.3.10-1) unstable; urgency=medium

  * Initial release. (Closes: #1073195)

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Fri, 14 Jun 2024 10:21:06 +0000

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## hyprwayland-scanner 0.4.2

=== debian/changelog ===
hyprwayland-scanner (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 22 Sep 2024 09:08:26 +0000

=== debian/control ===
Source: hyprwayland-scanner
Section: libdevel
Priority: optional
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libpugixml-dev,
 pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/hyprwm/hyprwayland-scanner
Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprwayland-scanner
Vcs-Git: https://salsa.debian.org/NyxTrail/hyprwayland-scanner.git

Package: hyprwayland-scanner
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Implementation of wayland-scanner for Hyprland
 hyprwayland-scanner is a Hyprland implementation of wayland-scanner,
 in and for C++.

## hyprwayland-scanner 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

file(READ "${CMAKE_SOURCE_DIR}/VERSION" VER_RAW)
string(STRIP ${VER_RAW} VERSION)

project(
  hyprwayland-scanner
  DESCRIPTION "A hyprland version of wayland-scanner in and for C++"
  VERSION ${VERSION})

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(PREFIX ${CMAKE_INSTALL_PREFIX})

set(CMAKE_MESSAGE_LOG_LEVEL "STATUS")

if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
  message(STATUS "Configuring hyprwayland-scanner in Debug with CMake")
  add_compile_definitions(HYPRLAND_DEBUG)
else()
  add_compile_options(-O3)
  message(STATUS "Configuring hyprwayland-scanner in Release with CMake")
endif()

# configure
set(CMAKE_CXX_STANDARD 23)
add_compile_options(-Wall -Wextra -Wno-unused-parameter -Wno-unused-value
                    -Wno-missing-field-initializers -Wno-narrowing)

add_compile_definitions(SCANNER_VERSION="${VERSION}")

configure_file(hyprwayland-scanner.pc.in hyprwayland-scanner.pc @ONLY)

# dependencies
message(STATUS "Checking deps...")

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET pugixml)

file(GLOB_RECURSE SRCFILES CONFIGURE_DEPENDS "src/*.cpp")
add_executable(hyprwayland-scanner ${SRCFILES})
target_link_libraries(hyprwayland-scanner PRIVATE rt Threads::Threads
                                                  PkgConfig::deps)

configure_package_config_file(
  hyprwayland-scanner-config.cmake.in hyprwayland-scanner-config.cmake
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/hyprwayland-scanner"
  PATH_VARS CMAKE_INSTALL_BINDIR)
write_basic_package_version_file(
  "hyprwayland-scanner-config-version.cmake"
  VERSION "${VERSION}"
  COMPATIBILITY AnyNewerVersion)

# Installation
install(TARGETS hyprwayland-scanner)
install(FILES ${CMAKE_BINARY_DIR}/hyprwayland-scanner.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${CMAKE_BINARY_DIR}/hyprwayland-scanner-config.cmake
              ${CMAKE_BINARY_DIR}/hyprwayland-scanner-config-version.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/hyprwayland-scanner)

=== debian/changelog ===
hyprwayland-scanner (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4 

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 02 Mar 2025 10:20:41 +0000

hyprwayland-scanner (0.4.2-2) unstable; urgency=medium

  * #1085254 : Mark 'Multi-Arch: foreign', and move pkgconf
    and cmake files to /usr/share

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sat, 19 Oct 2024 13:39:08 +0000

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,6 @@
 	dh $@
 
 
-#override_dh_auto_configure:
-#	dh_auto_configure -- \
-#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	-DCMAKE_INSTALL_LIBDIR=/usr/share

## hyprwayland-scanner 0.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,7 @@
 write_basic_package_version_file(
   "hyprwayland-scanner-config-version.cmake"
   VERSION "${VERSION}"
+  ARCH_INDEPENDENT
   COMPATIBILITY AnyNewerVersion)
 
 # Installation

=== debian/changelog ===
hyprwayland-scanner (0.4.5-0.1) unstable; urgency=medium

  * Non-maintainer upload
  [ alan (NyxTrail) ]
  * Include metadata for patch file

  [ Chow Loong Jin ]
  * New upstream version 0.4.5 (Closes: #1106524)
  * Drop upstreamed patches

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 18 Sep 2025 16:24:08 +0800

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
  cmake,
  libpugixml-dev,
  pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/hyprwm/hyprwayland-scanner
 Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprwayland-scanner
 Vcs-Git: https://salsa.debian.org/NyxTrail/hyprwayland-scanner.git
 
 Package: hyprwayland-scanner
 Architecture: any
+Multi-Arch: foreign
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

=== debian/watch ===
version=4
opts="searchmode=html" \
  https://github.com/hyprwm/hyprwayland-scanner/tags \
  https://github.com/hyprwm/hyprwayland-scanner/archive/refs/tags/v(\d+)\.(\d+)\.(\d+)?\.tar\.gz
